org.jbpm.bpmn2.xml

## Class XmlBPMNProcessDumper

- java.lang.Object
- - org.jbpm.bpmn2.xml.XmlBPMNProcessDumper

- All Implemented Interfaces:
    XmlProcessDumper

      public class XmlBPMNProcessDumper
      extends Object
      implements XmlProcessDumper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlBPMNProcessDumper` | `INSTANCE`
    `static String` | `JAVA_LANGUAGE`
    `static String` | `JAVASCRIPT_LANGUAGE`
    `static int` | `META_DATA_AS_NODE_PROPERTY`
    `static int` | `META_DATA_USING_DI`
    `static String` | `MVEL_LANGUAGE`
    `static int` | `NO_META_DATA`
    `static String` | `RULE_LANGUAGE`
    `static String` | `XPATH_LANGUAGE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dump(org.kie.api.definition.process.WorkflowProcess process)`
    `String` | `dump(org.kie.api.definition.process.WorkflowProcess process, boolean includeMeta)`
    `String` | `dump(org.kie.api.definition.process.WorkflowProcess process, int metaDataType)`
    `String` | `dumpProcess(org.kie.api.definition.process.Process process)`
    `static Map<String,Object>` | `getMetaData(Map<String,Object> input)`
    `int` | `getMetaDataType()`
    `static String` | `getUniqueNodeId(org.kie.api.definition.process.Node node)`
    `org.kie.api.definition.process.Process` | `readProcess(String processXml)`
    `static String` | `replaceIllegalCharsAttribute(String code)`
    `void` | `setMetaDataType(int metaDataType)`
    `void` | `visitAssociation(Association association, StringBuilder xmlDump)`
    `void` | `visitConnection(org.kie.api.definition.process.Connection connection, StringBuilder xmlDump, int metaDataType)`
    `protected void` | `visitErrors(Definitions definitions, StringBuilder xmlDump)`
    `protected void` | `visitEscalations(org.kie.api.definition.process.Node[] nodes, StringBuilder xmlDump, List<String> escalations)`
    `protected void` | `visitHeader(org.kie.api.definition.process.WorkflowProcess process, StringBuilder xmlDump, int metaDataType)`
    `protected void` | `visitInterfaces(org.kie.api.definition.process.Node[] nodes, StringBuilder xmlDump)`
    `void` | `visitNodes(List<Node> nodes, StringBuilder xmlDump, int metaDataType)`
    `protected void` | `visitProcess(org.kie.api.definition.process.WorkflowProcess process, StringBuilder xmlDump, int metaDataType)`
    `static void` | `visitVariables(List<Variable> variables, StringBuilder xmlDump)`
    `static void` | `writeMetaData(Map<String,Object> metaData, StringBuilder xmlDump)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_LANGUAGE

          public static final String JAVA_LANGUAGE

      See Also:
        Constant Field Values

    - #### MVEL_LANGUAGE

          public static final String MVEL_LANGUAGE

      See Also:
        Constant Field Values

    - #### RULE_LANGUAGE

          public static final String RULE_LANGUAGE

      See Also:
        Constant Field Values

    - #### XPATH_LANGUAGE

          public static final String XPATH_LANGUAGE

      See Also:
        Constant Field Values

    - #### JAVASCRIPT_LANGUAGE

          public static final String JAVASCRIPT_LANGUAGE

      See Also:
        Constant Field Values

    - #### NO_META_DATA

          public static final int NO_META_DATA

      See Also:
        Constant Field Values

    - #### META_DATA_AS_NODE_PROPERTY

          public static final int META_DATA_AS_NODE_PROPERTY

      See Also:
        Constant Field Values

    - #### META_DATA_USING_DI

          public static final int META_DATA_USING_DI

      See Also:
        Constant Field Values

    - #### INSTANCE

          public static XmlBPMNProcessDumper INSTANCE

  - ### Method Detail

    - #### dump

          public String dump(org.kie.api.definition.process.WorkflowProcess process)

    - #### dump

          public String dump(org.kie.api.definition.process.WorkflowProcess process,
                    boolean includeMeta)

    - #### dump

          public String dump(org.kie.api.definition.process.WorkflowProcess process,
                    int metaDataType)

    - #### getMetaDataType

          public int getMetaDataType()

    - #### setMetaDataType

          public void setMetaDataType(int metaDataType)

    - #### visitProcess

          protected void visitProcess(org.kie.api.definition.process.WorkflowProcess process,
                          StringBuilder xmlDump,
                          int metaDataType)

    - #### visitAssociation

          public void visitAssociation(Association association,
                              StringBuilder xmlDump)

    - #### visitHeader

          protected void visitHeader(org.kie.api.definition.process.WorkflowProcess process,
                         StringBuilder xmlDump,
                         int metaDataType)

    - #### visitVariables

          public static void visitVariables(List<Variable> variables,
                            StringBuilder xmlDump)

    - #### getMetaData

          public static Map<String,Object> getMetaData(Map<String,Object> input)

    - #### writeMetaData

          public static void writeMetaData(Map<String,Object> metaData,
                           StringBuilder xmlDump)

    - #### visitInterfaces

          protected void visitInterfaces(org.kie.api.definition.process.Node[] nodes,
                             StringBuilder xmlDump)

    - #### visitEscalations

          protected void visitEscalations(org.kie.api.definition.process.Node[] nodes,
                              StringBuilder xmlDump,
                              List<String> escalations)

    - #### visitErrors

          protected void visitErrors(Definitions definitions,
                         StringBuilder xmlDump)

    - #### visitNodes

          public void visitNodes(List<Node> nodes,
                        StringBuilder xmlDump,
                        int metaDataType)

    - #### visitConnection

          public void visitConnection(org.kie.api.definition.process.Connection connection,
                             StringBuilder xmlDump,
                             int metaDataType)

    - #### getUniqueNodeId

          public static String getUniqueNodeId(org.kie.api.definition.process.Node node)

    - #### replaceIllegalCharsAttribute

          public static String replaceIllegalCharsAttribute(String code)

    - #### dumpProcess

          public String dumpProcess(org.kie.api.definition.process.Process process)

      Specified by:
        `dumpProcess` in interface `XmlProcessDumper`

    - #### readProcess

          public org.kie.api.definition.process.Process readProcess(String processXml)

      Specified by:
        `readProcess` in interface `XmlProcessDumper`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.